package com.wechat.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dbEntity.TdtgWechatMenu;


@Repository
public class WechatMenuDao extends BaseDao {

    //获取主菜单list
    public List<TdtgWechatMenu> getMainList() {
        return super.select("TdtgWechatMenuMapper.getMainList");
    }
    
    //通过二级菜单息
    public  List<TdtgWechatMenu> getChildList(int parentMenuId) {
        return super.select("TdtgWechatMenuMapper.getListByParentId", parentMenuId);
    }

}
